Package org.jfree.report.modules.factories.report.flow

# Class StyleSheetReadHandler

java.lang.Object
org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
org.pentaho.reporting.libraries.xmlns.parser.StringReadHandler
org.jfree.report.modules.factories.report.flow.StyleSheetReadHandler

All Implemented Interfaces:
  `org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`

public class StyleSheetReadHandler extends org.pentaho.reporting.libraries.xmlns.parser.StringReadHandler
Creation-Date: 12.04.2006, 14:53:29

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`StyleSheetReadHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doneParsing()`
Done parsing.
`Object`
`getObject()`
Returns the object for this element.
`org.jfree.layouting.input.style.StyleSheet`
`getStyleSheet()`
`protected void`
`startParsing(Attributes attrs)`
Starts parsing.

### Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.StringReadHandler

`characters, getResult`

### Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler

`deriveParseParameters, endElement, getHandlerForChild, getLocator, getRootHandler, getTagName, getUri, init, isSameNamespace, performExternalParsing, performExternalParsing, startElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StyleSheetReadHandler

public StyleSheetReadHandler()

## Method Details

### startParsing

protected void startParsing(Attributes attrs) throws SAXException
Starts parsing.

Overrides:
  `startParsing` in class `org.pentaho.reporting.libraries.xmlns.parser.StringReadHandler`
Parameters:
  `attrs` - the attributes.
Throws:
  `SAXException` - if there is a parsing error.

### doneParsing

protected void doneParsing() throws SAXException
Done parsing.

Overrides:
  `doneParsing` in class `org.pentaho.reporting.libraries.xmlns.parser.StringReadHandler`
Throws:
  `SAXException` - if there is a parsing error.

### getObject

public Object getObject()
Returns the object for this element.

Specified by:
  `getObject` in interface `org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`
Overrides:
  `getObject` in class `org.pentaho.reporting.libraries.xmlns.parser.StringReadHandler`
Returns:
  the object.

### getStyleSheet

public org.jfree.layouting.input.style.StyleSheet getStyleSheet()